package com.jdbernard.timeanalyzer

public class DescriptionBasedCategorizationPlan implements CategorizationPlan {

    public boolean deservesNewCategory(Event event, List<Event> existingEvents) {
        return existingEvents.any { it.description == event.description }
    }

    public Category newCategory(Event event,
    List<Event> existingEvents) {
        return new DescriptionBasedCategory(event.description)
    }

    public List<Event> findEventsToRecategorize(Event event,
    List<Event> existingEvents) {
        return existingEvents.findAll { it.description == event.description }
    }

}
